### Home Classes Methods

### In Files

- lib/padrino-gen/command.rb
- lib/padrino-gen/generators/components/actions.rb
- lib/padrino-gen/generators/project.rb
- lib/padrino-gen/generators/controller.rb
- lib/padrino-gen/generators/task.rb
- lib/padrino-gen/generators/plugin.rb
- lib/padrino-gen/generators/component.rb
- lib/padrino-gen/generators/mailer.rb
- lib/padrino-gen/generators/app.rb
- lib/padrino-gen/generators/cli.rb
- lib/padrino-gen/generators/runner.rb
- lib/padrino-gen/generators/model.rb
- lib/padrino-gen/generators/migration.rb
- lib/padrino-gen/generators/actions.rb
- lib/padrino-gen/padrino-tasks/sql-helpers.rb
- lib/padrino-gen.rb

### Namespace

- MODULE Padrino::Generators

### Methods

- ::bin_gen

### Files

- README.rdoc
- README.rdoc

### Class/Module Index

Quicksearch

- Padrino
- Padrino::Generators
- Padrino::Generators::Actions
- Padrino::Generators::Actions::ClassMethods
- Padrino::Generators::App
- Padrino::Generators::AppRootNotFound
- Padrino::Generators::Cli
- Padrino::Generators::Component
- Padrino::Generators::Components
- Padrino::Generators::Components::Actions
- Padrino::Generators::Controller
- Padrino::Generators::Mailer
- Padrino::Generators::Migration
- Padrino::Generators::Model
- Padrino::Generators::Plugin
- Padrino::Generators::Project
- Padrino::Generators::Runner
- Padrino::Generators::SqlHelpers
- Padrino::Generators::Task
- ActiveRecord
- ActiveRecord::Schema
- Object

No matching classes.

# Padrino

### Public Class Methods

bin_gen(*args) click to toggle source

This method return the correct location of padrino-gen bin or exec it using Kernel#system with the given args.

@param [Array<String>] args.

    Splat of arguments to pass to padrino-gen.

@example

    Padrino.bin_gen(:app, name.to_s, "-r=#{destination_root}")

    # File lib/padrino-gen/command.rb, line 14
    def self.bin_gen(*args)
      @_padrino_gen_bin ||= [Padrino.ruby_command, File.expand_path("../../../bin/padrino-gen", __FILE__)]
      system args.unshift(@_padrino_gen_bin).join(" ")
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.